// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package v1

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// VaultClient is the client API for Vault service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type VaultClient interface {
	FetchVaultExport(ctx context.Context, in *FetchVaultExportRequest, opts ...grpc.CallOption) (*FetchVaultExportResponse, error)
	UpdateVaultExport(ctx context.Context, in *UpdateVaultExportRequest, opts ...grpc.CallOption) (*UpdateVaultExportResponse, error)
	FetchVaultRestore(ctx context.Context, in *FetchVaultRestoreRequest, opts ...grpc.CallOption) (*FetchVaultRestoreResponse, error)
	UpdateVaultRestore(ctx context.Context, in *UpdateVaultRestoreRequest, opts ...grpc.CallOption) (*UpdateVaultRestoreResponse, error)
}

type vaultClient struct {
	cc grpc.ClientConnInterface
}

func NewVaultClient(cc grpc.ClientConnInterface) VaultClient {
	return &vaultClient{cc}
}

func (c *vaultClient) FetchVaultExport(ctx context.Context, in *FetchVaultExportRequest, opts ...grpc.CallOption) (*FetchVaultExportResponse, error) {
	out := new(FetchVaultExportResponse)
	err := c.cc.Invoke(ctx, "/api.infranetes.autodevops.v1.Vault/FetchVaultExport", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vaultClient) UpdateVaultExport(ctx context.Context, in *UpdateVaultExportRequest, opts ...grpc.CallOption) (*UpdateVaultExportResponse, error) {
	out := new(UpdateVaultExportResponse)
	err := c.cc.Invoke(ctx, "/api.infranetes.autodevops.v1.Vault/UpdateVaultExport", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vaultClient) FetchVaultRestore(ctx context.Context, in *FetchVaultRestoreRequest, opts ...grpc.CallOption) (*FetchVaultRestoreResponse, error) {
	out := new(FetchVaultRestoreResponse)
	err := c.cc.Invoke(ctx, "/api.infranetes.autodevops.v1.Vault/FetchVaultRestore", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *vaultClient) UpdateVaultRestore(ctx context.Context, in *UpdateVaultRestoreRequest, opts ...grpc.CallOption) (*UpdateVaultRestoreResponse, error) {
	out := new(UpdateVaultRestoreResponse)
	err := c.cc.Invoke(ctx, "/api.infranetes.autodevops.v1.Vault/UpdateVaultRestore", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// VaultServer is the server API for Vault service.
// All implementations should embed UnimplementedVaultServer
// for forward compatibility
type VaultServer interface {
	FetchVaultExport(context.Context, *FetchVaultExportRequest) (*FetchVaultExportResponse, error)
	UpdateVaultExport(context.Context, *UpdateVaultExportRequest) (*UpdateVaultExportResponse, error)
	FetchVaultRestore(context.Context, *FetchVaultRestoreRequest) (*FetchVaultRestoreResponse, error)
	UpdateVaultRestore(context.Context, *UpdateVaultRestoreRequest) (*UpdateVaultRestoreResponse, error)
}

// UnimplementedVaultServer should be embedded to have forward compatible implementations.
type UnimplementedVaultServer struct {
}

func (UnimplementedVaultServer) FetchVaultExport(context.Context, *FetchVaultExportRequest) (*FetchVaultExportResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FetchVaultExport not implemented")
}
func (UnimplementedVaultServer) UpdateVaultExport(context.Context, *UpdateVaultExportRequest) (*UpdateVaultExportResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateVaultExport not implemented")
}
func (UnimplementedVaultServer) FetchVaultRestore(context.Context, *FetchVaultRestoreRequest) (*FetchVaultRestoreResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FetchVaultRestore not implemented")
}
func (UnimplementedVaultServer) UpdateVaultRestore(context.Context, *UpdateVaultRestoreRequest) (*UpdateVaultRestoreResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateVaultRestore not implemented")
}

// UnsafeVaultServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to VaultServer will
// result in compilation errors.
type UnsafeVaultServer interface {
	mustEmbedUnimplementedVaultServer()
}

func RegisterVaultServer(s grpc.ServiceRegistrar, srv VaultServer) {
	s.RegisterService(&Vault_ServiceDesc, srv)
}

func _Vault_FetchVaultExport_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FetchVaultExportRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VaultServer).FetchVaultExport(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.infranetes.autodevops.v1.Vault/FetchVaultExport",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VaultServer).FetchVaultExport(ctx, req.(*FetchVaultExportRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Vault_UpdateVaultExport_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateVaultExportRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VaultServer).UpdateVaultExport(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.infranetes.autodevops.v1.Vault/UpdateVaultExport",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VaultServer).UpdateVaultExport(ctx, req.(*UpdateVaultExportRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Vault_FetchVaultRestore_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FetchVaultRestoreRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VaultServer).FetchVaultRestore(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.infranetes.autodevops.v1.Vault/FetchVaultRestore",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VaultServer).FetchVaultRestore(ctx, req.(*FetchVaultRestoreRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Vault_UpdateVaultRestore_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateVaultRestoreRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(VaultServer).UpdateVaultRestore(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.infranetes.autodevops.v1.Vault/UpdateVaultRestore",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(VaultServer).UpdateVaultRestore(ctx, req.(*UpdateVaultRestoreRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// Vault_ServiceDesc is the grpc.ServiceDesc for Vault service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var Vault_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "api.infranetes.autodevops.v1.Vault",
	HandlerType: (*VaultServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "FetchVaultExport",
			Handler:    _Vault_FetchVaultExport_Handler,
		},
		{
			MethodName: "UpdateVaultExport",
			Handler:    _Vault_UpdateVaultExport_Handler,
		},
		{
			MethodName: "FetchVaultRestore",
			Handler:    _Vault_FetchVaultRestore_Handler,
		},
		{
			MethodName: "UpdateVaultRestore",
			Handler:    _Vault_UpdateVaultRestore_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "infranetes/autodevops/v1/vault.proto",
}
